## nforenum 3.4.6%2bsvn2191

=== Makefile ===
# =========================================================
# Makefile for NFORenum
#
#	Don't put any local configuration in here
#	Change Makefile.local instead, it'll be
#	preserved when updating the sources
# =========================================================

MAKEFILELOCAL=Makefile.local

# A command to return the current SVN revision of the source tree; it should
# it in the format [##:]##, where the second set of digits is the current
# revision (used for adding the revision to the version string)
SVNVERSION = svnversion -c .	# standard SVN client (e.g. cygwin)

# Gnu compiler settings
SHELL = /bin/sh
CC = g++
CXX = g++
STRIP = strip
AWK = awk

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
ISMINGW = $(shell [ `$(CC) -dumpmachine` != mingw32 ]; echo $$?)

# OS dependent variables
NFORENUM = $(shell [ \( $(ISCYGWIN) -eq 1 \) -o \( $(ISMINGW) -eq 1 \) ] && echo renum.exe || echo renum)

# use 386 instructions but optimize for pentium II/III
ifeq ($(ISCYGWIN),1)
CFLAGS = -g -mno-cygwin -O1 -idirafter$(BOOST_INCLUDE) -Wall -Wno-uninitialized $(CFLAGAPP)
else
CFLAGS = -g -O1 -idirafter$(BOOST_INCLUDE) -Wall -Wno-uninitialized $(CFLAGAPP)
endif

CXXFLAGS = $(CFLAGS)

-include ${MAKEFILELOCAL}

ifeq ($(DEBUG),1)
CFLAGS += -DDEBUG
CXXFLAGS += -DDEBUG
endif

# Somewhat automatic detection of the correct boost include folder
ifndef BOOST_INCLUDE
BOOST_INCLUDE=$(shell \
find /usr/include /usr/local/include -maxdepth 1 -name 'boost-*' 2> /dev/null | sort -t - -k 2 | tail -n 1 )
ifeq ($(BOOST_INCLUDE),)
BOOST_INCLUDE=$(shell \
( [ -d /usr/include/boost/date_time ] && echo /usr/include ) || \
( [ -d /usr/local/include/boost/date_time ] && echo /usr/local/include ) )
endif
endif

ifeq ($(BOOST_INCLUDE),)
BOOST_ERROR = echo Error: Boost not found. Compilation will fail.
endif

ifndef V
V=0 # verbose build default off
endif

# =======================================================================
#           setup verbose/non-verbose make process
# =======================================================================

# _E = prefix for the echo [TYPE] TARGET
# _C = prefix for the actual command(s)
# _I = indentation for sub-make
# _Q = number of 'q's for UPX
# _S = sub-makes silent?
ifeq (${V},1)
	# verbose, set _C = nothing (print command), _E = comment (don't echo)
	_C=
	_E=@\#
	_Q=-qq
	_S=
else
	# not verbose, _C = @ (suppress cmd line), _E = @echo (echo type&target)
	_C=@
	_E:=@echo -e ${_I}
	_Q=-qqq
	_S=-s
endif

# increase indentation level for sub-makes
_I := ${_I}\\t
export _I

# standard compilation commands should be of the form
# target:	prerequisites
#	${_E} [CMD] $@
#	${_C}${CMD} ...arguments...
#
# non-standard commands (those not invoked by make all/dos/win) should
# use the regular syntax (without the ${_E} line and without the ${_C} prefix)
# because they'll be only used for testing special conditions
#
# =======================================================================

# sources to be compiled and linked
NFORENUMSRC=IDs.cpp act0.cpp act123.cpp act123_classes.cpp act5.cpp act6.cpp \
  act79D.cpp actB.cpp actF.cpp command.cpp data.cpp globals.cpp inject.cpp \
  messages.cpp pseudo.cpp rangedint.cpp renum.cpp sanity.cpp strings.cpp \
  utf8.cpp getopt.cpp help.cpp message_mgr.cpp language_mgr.cpp \
  mapescapes.cpp pseudo_seq.cpp

ifndef NOREV
NOREV = 0
endif

ifndef NO_BOOST
NO_BOOST = 0
endif

ifneq ($(NO_BOOST),0)
BOOST_WARN = echo Warning: NO_BOOST is no longer obeyed.
endif

# targets
all: $(NFORENUM)
remake: clean all

${MAKEFILELOCAL}:
	@/bin/sh -c "export PATH=\"/bin\" && \
        echo ${MAKEFILELOCAL} did not exist, using defaults. Please edit it if compilation fails. && \
        cp ${MAKEFILELOCAL}.sample $@"

$(NFORENUM): $(NFORENUMSRC:%.cpp=%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CFLAGS) $^ $(LDOPT)


clean:
	rm -rf *.o *.d *.exe *.EXE renum bundle bundles

release: FORCE
	$(_E)[REBUILD] $(NFORENUM)
	$(_C)rm -f $(NFORENUM)
	$(_C)$(MAKE) $(_S)
	$(_E) [STRIP/UPX] $(NFORENUM)
	$(_C)$(STRIP) $(NFORENUM)
	$(_C)upx $(_Q) --best $(NFORENUM)

FORCE:
	@$(BOOST_WARN)
	@$(BOOST_ERROR)

.rev: FORCE
	$(_C) [ -e $@ ] || echo SVNREV=0 > $@
	$(_C) REV=`${SVNVERSION}` perl rev.pl $@ < $@

-include .rev
include version.def

version.h: FORCE
	@echo // Autogenerated by make.  Do not edit.  Edit version.def or the Makefile instead. > $@.tmp
	@echo "#define VERSION \"v$(VERSIONSTR)\"" >> $@.tmp
	@echo "#define YEARS \"2004-$(YEAR)\"" >> $@.tmp
	@(diff $@.tmp $@ > /dev/null 2>&1 && rm -f $@.tmp) || (rm -f $@ ; mv $@.tmp $@)


# Gnu compiler rules

%.o : %.c
	$(_E) [CC] $@
	$(_C)$(CC) -c -o $@ $(CFLAGS) -MMD -MF $@.d -MT $@ $<

%.o : %.cpp
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(CXXFLAGS) -MMD -MF $@.d -MT $@ $<

%.o.d:
	$(_E) [CPP DEP] $@
	$(_C)$(CC) $(CFLAGS) -DMAKEDEP -MM -MG $*.c* -MF $@

ifndef NO_MAKEFILE_DEP
-include $(NFORENUMSRC:.cpp=.o.d)
endif

include Makefile.bundle

## nforenum 3.4.6+svn2309

=== Makefile ===
--- 
+++ 
@@ -135,6 +135,7 @@
 
 clean:
 	rm -rf *.o *.d *.exe *.EXE renum bundle bundles
+	rm -f .rev version.h
 
 release: FORCE
 	$(_E)[REBUILD] $(NFORENUM)

=== debian/changelog ===
nforenum (3.4.6+svn2309-1) unstable; urgency=low

  * [ad2c13b] Rename the renum binary to nforenum at configure instead
    of install.
  * [eb2cadd] New upstream release 3.4.6+svn2309.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 29 Mar 2010 20:10:39 +0200

nforenum (3.4.6+svn2300-1) unstable; urgency=low

  * [0d94f37] New upstream release 3.4.6+svn2300.
  * [13ebd81] Remove patch gcc-4.4-compile-fixes, which was imported
    upstream.
  * [6ebf324] Update the watch file to the new upstream url scheme.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Feb 2010 17:56:38 +0100

nforenum (3.4.6+svn2274-1) unstable; urgency=low

  * [63f935c] Initial release. (Closes: #561583)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 01 Feb 2010 12:42:07 +0100

=== debian/control ===
Source: nforenum
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libboost-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/nforenum.git
Vcs-Git: git://git.debian.org/collab-maint/nforenum.git
Homepage: http://users.tt-forums.net/dalestan/nforenum/

Package: nforenum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A format correcter and linter for the NFO programming language
 The NFO programming language is used in the graphic file format from the
 Transport Tycoon Deluxe, TTDPatch and OpenTTD games.
 .
 It takes as input any number of files that contain something that vaguely
 resembles valid NFO, and produces, to the best of its ability, encodable NFO
 files, one for each input file.
 .
 It also detects and warns about some common mistakes made in NFO coding. A
 pretty-printer is also included.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

# Don't use dh for clean. Since the upstream Makefile generates
# dependency information before any error messages, dh_auto_clean
# sometimes thinks make distclean is supported, while it isn't.
override_dh_auto_clean:
	make clean
	# Remove files autogenerated by make, but not removed by make clean.
	rm -f version.h Makefile.local .rev

# Extract the original SVN version from the Debian version. This ensures
# that nforenum --help outputs a sensible version number.
VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //')
REV=$(shell echo $(VERSION) | sed 's/^.*\+svn//' | sed 's/-[0-9]*$$//')

override_dh_auto_configure:
	echo "SVNVERSION=echo ${REV}" > Makefile.local
	# Name the binary after the package, since upstream uses the too
	# generic "renum" by default.
	echo "NFORENUM=nforenum" >> Makefile.local

# Upstream does not provide a make install. Additionally, we want to
# rename the binary.
override_dh_auto_install:
	install -d debian/nforenum/usr/bin
	install nforenum debian/nforenum/usr/bin

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# nforenum currently uses svn revision numbers for releases, but we keep
# the original versioning as well in case real releases start happening
# again.
# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
opts="dversionmangle=s/.*\+svn//,downloadurlmangle=s/(.*)\/index.html$/\1\/nforenum-\1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/nforenum/ \
r(\d+)/index.html

## nforenum 4.0.0+debian1

=== Makefile ===
# =========================================================
# Makefile for NFORenum
#
#	Don't put any local configuration in here
#	Change Makefile.local instead, it'll be
#	preserved when updating the sources
# =========================================================

MAKEFILELOCAL=Makefile.local

# Gnu compiler settings
SHELL = /bin/sh
CXX = g++
STRIP = strip
UPX = $(shell [ `which upx 2>/dev/null` ] && echo "upx")
AWK = awk
SRCZIP_FLAGS = -9
SRCZIP = gzip

# Default installation directories
INSTALL_DOCS_DIR := "$(DESTDIR)/usr/share/doc/nforenum"
INSTALL_BINARY_DIR := "$(DESTDIR)/usr/bin"
INSTALL_MAN_DIR := "$(DESTDIR)/usr/share/man/man1"

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
ISMINGW = $(shell [ `$(CXX) -dumpmachine` != mingw32 ]; echo $$?)

# OS dependent variables
NFORENUM = $(shell [ \( $(ISCYGWIN) -eq 1 \) -o \( $(ISMINGW) -eq 1 \) ] && echo nforenum.exe || echo nforenum)

# use 386 instructions but optimize for pentium II/III
ifeq ($(ISCYGWIN),1)
FLAGS = -O1 -I $(BOOST_INCLUDE)
else
FLAGS = -O1 -idirafter$(BOOST_INCLUDE)
endif
FLAGS += -Wall -Wno-uninitialized -Wsign-compare -Wwrite-strings -Wpointer-arith -W -Wno-unused-parameter -Wformat=2
FLAGS += -D_FORTIFY_SOURCE=2

ifeq ($(shell uname),Darwin)
FLAGS += -isystem/opt/local/include
endif

CXXFLAGS := $(FLAGS) $(CXXFLAGS)

-include ${MAKEFILELOCAL}

ifeq ($(DEBUG),1)
CXXFLAGS += -g -DDEBUG
endif

# Somewhat automatic detection of the correct boost include folder
ifndef BOOST_INCLUDE
BOOST_INCLUDE=$(shell \
find /usr/include /usr/local/include /opt/local/include -maxdepth 1 -name 'boost-*' 2> /dev/null | sort -t - -k 2 | tail -n 1 )
ifeq ($(BOOST_INCLUDE),)
BOOST_INCLUDE=$(shell \
( [ -d /usr/include/boost/date_time ] && echo /usr/include ) || \
( [ -d /usr/local/include/boost/date_time ] && echo /usr/local/include ) || \
( [ -d /opt/local/include/boost/date_time ] && echo /opt/local/include ) )
endif
endif

ifeq ($(BOOST_INCLUDE),)
BOOST_ERROR = echo Error: Boost not found. Compilation will fail.
endif

ifndef V
V=0 # verbose build default off
endif

# =======================================================================
#           setup verbose/non-verbose make process
# =======================================================================

# _E = prefix for the echo [TYPE] TARGET
# _C = prefix for the actual command(s)
# _I = indentation for sub-make
# _Q = number of 'q's for UPX
# _S = sub-makes silent?
ifeq (${V},1)
	# verbose, set _C = nothing (print command), _E = comment (don't echo)
	_C=
	_E=@\#
	_Q=-qq
	_S=
else
	# not verbose, _C = @ (suppress cmd line), _E = @echo (echo type&target)
	_C=@
	_E:=@echo ${_I}
	_Q=-qqq
	_S=-s
endif

# increase indentation level for sub-makes
_I := ${_I}"	"
export _I

# standard compilation commands should be of the form
# target:	prerequisites
#	${_E} [CMD] $@
#	${_C}${CMD} ...arguments...
#
# non-standard commands (those not invoked by make all/dos/win) should
# use the regular syntax (without the ${_E} line and without the ${_C} prefix)
# because they'll be only used for testing special conditions
#
# =======================================================================

# sources to be compiled and linked
NFORENUMSRC=IDs.cpp act0.cpp act123.cpp act123_classes.cpp act5.cpp act6.cpp \
  act79D.cpp actB.cpp actF.cpp act14.cpp command.cpp data.cpp globals.cpp \
  inject.cpp messages.cpp pseudo.cpp rangedint.cpp nforenum.cpp sanity.cpp \
  strings.cpp utf8.cpp getopt.cpp help.cpp message_mgr.cpp language_mgr.cpp \
  mapescapes.cpp pseudo_seq.cpp

# targets
all: $(NFORENUM)
remake:
	$(_E) [CLEAN]
	$(_C)$(MAKE) ${_S} clean
	$(_E) [REBUILD]
	$(_C)$(MAKE) ${_S} all


${MAKEFILELOCAL}:
	@/bin/sh -c "export PATH=\"/bin\" && \
        echo ${MAKEFILELOCAL} did not exist, using defaults. Please edit it if compilation fails. && \
        cp ${MAKEFILELOCAL}.sample $@"

$(NFORENUM): $(NFORENUMSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)


clean:
	rm -rf objs nforenum.* nforenum nforenum-* bundle bundles
	rm -f src/version.h

release: FORCE
	$(_E)[REBUILD] $(NFORENUM)
	$(_C)rm -f $(NFORENUM)
	$(_C)$(MAKE) $(_S)
	$(_E) [STRIP] $(NFORENUM)
	$(_C)$(STRIP) $(NFORENUM)
ifneq ($(UPX),)
	$(_E) [UPX] $(@:%_r=%)
	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
endif

FORCE:
	@$(BOOST_ERROR)

include version.def

src/version.h: FORCE
	@echo // Autogenerated by make.  Do not edit.  Edit version.def or the Makefile instead. > $@.tmp
	@echo "#define VERSION \"$(VERSIONSTR)\"" >> $@.tmp
	@echo "#define YEARS \"2004-$(YEAR)\"" >> $@.tmp
	@(diff $@.tmp $@ > /dev/null 2>&1 && rm -f $@.tmp) || (rm -f $@ ; mv $@.tmp $@)


# Gnu compiler rules

objs/%.o : src/%.cpp Makefile
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(CXXFLAGS) -MMD -MF $@.d -MT $@ $<

# On some installations a version.h exists in /usr/include. This one is then
# found by the dependency tracker and thus the dependencies do not contain
# a reference to version.h, so it isn't generated and compilation fails.
objs/message_mgr.o: src/version.h
objs/messages.o: src/version.h

objs/%.o.d: src/%.cpp Makefile
	$(_C)mkdir -p objs
	$(_E) [CPP DEP] $@
	$(_C)$(CXX) $(CXXFLAGS) -DMAKEDEP -MM -MG src/$*.cpp  | sed 's@\(.*\): @objs/\1: @;s@ version.h@@' > $@

ifndef NO_MAKEFILE_DEP
-include $(NFORENUMSRC:%.cpp=objs/%.o.d)
endif

include Makefile.bundle

=== debian/changelog ===
nforenum (4.0.0+debian1-1) unstable; urgency=low

  * [ae5b53f] Repackaged upstream source, to remove a duplicate file (which
    the lenny version of tar --keep-old-files doesn't like.
  * [1c099c4] Update watch file to upstream's new versioning scheme.
  * [6124716] Mangle the +debian suffix in the watch file.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 23 Aug 2010 14:43:22 +0200

nforenum (4.0.0-1) unstable; urgency=low

  * [5420d5f] New upstream release 4.0.0.
  * [e233e42] Remove svn version mangling, upstream uses sane versioning
    again.
  * [7d11384] Upstream renamed the binary to nforenum, so we don't need
    to.
  * [e81954b] Disable UPX binary compression, it is not available on all
    platforms.
  * [c7a6aca] Upstream now provides a make install.
  * [4324794] Remove our manpage, upstream now provides one.
  * [9efedc8] Bump Standards-Version to 3.9.1, no changes required.
  * [e1109ef] Update upstream homepage.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 19 Aug 2010 16:02:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libboost-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nforenum.git
 Vcs-Git: git://git.debian.org/collab-maint/nforenum.git
-Homepage: http://users.tt-forums.net/dalestan/nforenum/
+Homepage: http://dev.openttdcoop.org/projects/nforenum
 
 Package: nforenum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

# Don't use dh for clean. Since the upstream Makefile generates
# dependency information before any error messages, dh_auto_clean
# sometimes thinks make distclean is supported, while it isn't.
override_dh_auto_clean:
	make clean
	# Remove files autogenerated by make, but not removed by make clean.
	rm -f version.h Makefile.local .rev

override_dh_auto_configure:
	# Disable UPX
	echo UPX= >> Makefile.local

override_dh_auto_install:
	dh_auto_install
	# Remove the changelog, dh_installchangelogs will do that as
	# well.
	rm debian/nforenum/usr/share/doc/nforenum/changelog.txt
	# Remove the COPYING file, it's just a verbatim GPL copy
	rm debian/nforenum/usr/share/doc/nforenum/COPYING

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
# Also remove any +debian suffix for repackaged sources.
opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/(.*)\/index.html$/\1\/nforenum-\1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/nforenum/ \
(\d+(?:\.\d+)*)/index.html
